curl -X DELETE "https://api-integration.ollang.com/integration/folder/60b8d6f1e1b9b1d8c6c0d8e1/docs/60b8d6f1e1b9b1d8c6c0d8f1" \
-H "X-Api-Key: <your-api-key>"
const folderId = "60b8d6f1e1b9b1d8c6c0d8e1";
const docId = "60b8d6f1e1b9b1d8c6c0d8f1";
await fetch(
`https://api-integration.ollang.com/integration/folder/${folderId}/docs/${docId}`,
{
method: "DELETE",
headers: {
"X-Api-Key": "<your-api-key>",
},
},
);
import requests
folder_id = "60b8d6f1e1b9b1d8c6c0d8e1"
doc_id = "60b8d6f1e1b9b1d8c6c0d8f1"
requests.delete(
f"https://api-integration.ollang.com/integration/folder/{folder_id}/docs/{doc_id}",
headers={"X-Api-Key": "<your-api-key>"},
)
$folderId = '60b8d6f1e1b9b1d8c6c0d8e1';
$docId = '60b8d6f1e1b9b1d8c6c0d8f1';
$curl = curl_init();
curl_setopt_array($curl, array(
CURLOPT_URL => "https://api-integration.ollang.com/integration/folder/{$folderId}/docs/{$docId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'DELETE',
CURLOPT_HTTPHEADER => array(
'X-Api-Key: <your-api-key>'
),
));
curl_exec($curl);
curl_close($curl);
package main
import (
"net/http"
)
func main() {
folderID := "60b8d6f1e1b9b1d8c6c0d8e1"
docID := "60b8d6f1e1b9b1d8c6c0d8f1"
url := "https://api-integration.ollang.com/integration/folder/" + folderID + "/docs/" + docID
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Set("X-Api-Key", "<your-api-key>")
client := &http.Client{}
resp, _ := client.Do(req)
defer resp.Body.Close()
}
String folderId = "60b8d6f1e1b9b1d8c6c0d8e1";
String docId = "60b8d6f1e1b9b1d8c6c0d8f1";
Unirest
.delete("https://api-integration.ollang.com/integration/folder/" + folderId + "/docs/" + docId)
.header("X-Api-Key", "<your-api-key>")
.asString();
{}
{
"error": "Unauthorized",
"message": "Invalid or missing API key",
"code": "UNAUTHORIZED"
}
{
"statusCode": 403,
"message": "You do not have permission to modify this folder",
"error": "Forbidden"
}
{
"statusCode": 404,
"message": "Folder document not found",
"error": "Not Found"
}
Ollang API Reference
Remove Folder Document
Detach a guideline, glossary, or character list from a folder and from the projects it was applied to
DELETE
/
integration
/
folder
/
{folderId}
/
docs
/
{docId}
curl -X DELETE "https://api-integration.ollang.com/integration/folder/60b8d6f1e1b9b1d8c6c0d8e1/docs/60b8d6f1e1b9b1d8c6c0d8f1" \
-H "X-Api-Key: <your-api-key>"
const folderId = "60b8d6f1e1b9b1d8c6c0d8e1";
const docId = "60b8d6f1e1b9b1d8c6c0d8f1";
await fetch(
`https://api-integration.ollang.com/integration/folder/${folderId}/docs/${docId}`,
{
method: "DELETE",
headers: {
"X-Api-Key": "<your-api-key>",
},
},
);
import requests
folder_id = "60b8d6f1e1b9b1d8c6c0d8e1"
doc_id = "60b8d6f1e1b9b1d8c6c0d8f1"
requests.delete(
f"https://api-integration.ollang.com/integration/folder/{folder_id}/docs/{doc_id}",
headers={"X-Api-Key": "<your-api-key>"},
)
$folderId = '60b8d6f1e1b9b1d8c6c0d8e1';
$docId = '60b8d6f1e1b9b1d8c6c0d8f1';
$curl = curl_init();
curl_setopt_array($curl, array(
CURLOPT_URL => "https://api-integration.ollang.com/integration/folder/{$folderId}/docs/{$docId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'DELETE',
CURLOPT_HTTPHEADER => array(
'X-Api-Key: <your-api-key>'
),
));
curl_exec($curl);
curl_close($curl);
package main
import (
"net/http"
)
func main() {
folderID := "60b8d6f1e1b9b1d8c6c0d8e1"
docID := "60b8d6f1e1b9b1d8c6c0d8f1"
url := "https://api-integration.ollang.com/integration/folder/" + folderID + "/docs/" + docID
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Set("X-Api-Key", "<your-api-key>")
client := &http.Client{}
resp, _ := client.Do(req)
defer resp.Body.Close()
}
String folderId = "60b8d6f1e1b9b1d8c6c0d8e1";
String docId = "60b8d6f1e1b9b1d8c6c0d8f1";
Unirest
.delete("https://api-integration.ollang.com/integration/folder/" + folderId + "/docs/" + docId)
.header("X-Api-Key", "<your-api-key>")
.asString();
{}
{
"error": "Unauthorized",
"message": "Invalid or missing API key",
"code": "UNAUTHORIZED"
}
{
"statusCode": 403,
"message": "You do not have permission to modify this folder",
"error": "Forbidden"
}
{
"statusCode": 404,
"message": "Folder document not found",
"error": "Not Found"
}
Removes a folder-level document from a folder. The copies that were applied to projects inside the folder are removed with it, so no project keeps a guideline the folder no longer has.
Orders created before the removal keep the guidance they were already
processed with. The removal affects work that runs after it.
curl -X DELETE "https://api-integration.ollang.com/integration/folder/60b8d6f1e1b9b1d8c6c0d8e1/docs/60b8d6f1e1b9b1d8c6c0d8f1" \
-H "X-Api-Key: <your-api-key>"
const folderId = "60b8d6f1e1b9b1d8c6c0d8e1";
const docId = "60b8d6f1e1b9b1d8c6c0d8f1";
await fetch(
`https://api-integration.ollang.com/integration/folder/${folderId}/docs/${docId}`,
{
method: "DELETE",
headers: {
"X-Api-Key": "<your-api-key>",
},
},
);
import requests
folder_id = "60b8d6f1e1b9b1d8c6c0d8e1"
doc_id = "60b8d6f1e1b9b1d8c6c0d8f1"
requests.delete(
f"https://api-integration.ollang.com/integration/folder/{folder_id}/docs/{doc_id}",
headers={"X-Api-Key": "<your-api-key>"},
)
$folderId = '60b8d6f1e1b9b1d8c6c0d8e1';
$docId = '60b8d6f1e1b9b1d8c6c0d8f1';
$curl = curl_init();
curl_setopt_array($curl, array(
CURLOPT_URL => "https://api-integration.ollang.com/integration/folder/{$folderId}/docs/{$docId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'DELETE',
CURLOPT_HTTPHEADER => array(
'X-Api-Key: <your-api-key>'
),
));
curl_exec($curl);
curl_close($curl);
package main
import (
"net/http"
)
func main() {
folderID := "60b8d6f1e1b9b1d8c6c0d8e1"
docID := "60b8d6f1e1b9b1d8c6c0d8f1"
url := "https://api-integration.ollang.com/integration/folder/" + folderID + "/docs/" + docID
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Set("X-Api-Key", "<your-api-key>")
client := &http.Client{}
resp, _ := client.Do(req)
defer resp.Body.Close()
}
String folderId = "60b8d6f1e1b9b1d8c6c0d8e1";
String docId = "60b8d6f1e1b9b1d8c6c0d8f1";
Unirest
.delete("https://api-integration.ollang.com/integration/folder/" + folderId + "/docs/" + docId)
.header("X-Api-Key", "<your-api-key>")
.asString();
Authorizations
This endpoint requires API key authentication. Include your API key in the request header:- Header name:
X-Api-Key - Header value: Your API key from the Ollang dashboard
- Format:
X-Api-Key: your-api-key-here
403.
Path Parameters
string
required
The unique identifier of the folder the document belongs to.
string
required
The unique identifier of the folder document. Retrieve document IDs with List
Folder Documents.
Response
Returns an empty body on success.{}
{
"error": "Unauthorized",
"message": "Invalid or missing API key",
"code": "UNAUTHORIZED"
}
{
"statusCode": 403,
"message": "You do not have permission to modify this folder",
"error": "Forbidden"
}
{
"statusCode": 404,
"message": "Folder document not found",
"error": "Not Found"
}
Was this page helpful?